#include<bits/stdc++.h>
using namespace std;
bool ktra(int x, int y, int z)
{
    bool kt=true;
    int tg=x+y+z;
    int max=x;
    if(y>max){max=y;}
    if(z>max){max=z;}
    if((tg-max)<= max){kt=false;}
    return kt;
}
float dtich(int x, int y, int z)
{
    float p=(x+y+z)/2;
    float s=sqrt(p*(p-x)*(p-y)*(p-z));
    return s;
}
int main()
{
    ifstream fi("tamgiac.inp");
    ofstream fo("tamgiac.out");
    int a,b,c;
    fi>>a>>b>>c;
    if(ktra(a,b,c))
    {
        fo<<"YES"<<endl;
        fo.setf(ios::fixed);
        fo.setf(ios::showpoint);
        fo.precision(2);
        fo<<dtich(a,b,c);
    }
    else
    {
        fo<<"NO";
    }
}
